# QSystemSemaphore Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QSystemSemaphore(String key, int initialValue, AccessMode mode)

### Constructor Properties

- prototype: The QSystemSemaphore prototype object
- Open
- Create
- AccessMode( value )
- NoError
- PermissionDenied
- KeyError
- AlreadyExists
- NotFound
- OutOfResources
- UnknownError
- SystemSemaphoreError( value )

### Prototype Object Properties

- bool acquire()
- SystemSemaphoreError error()
- String errorString()
- String key()
- bool release(int n)
- void setKey(String key, int initialValue, AccessMode mode)

### Instance Properties

QSystemSemaphore objects have no special properties beyond those inherited from the QSystemSemaphore prototype object.